​

Get sprints list

GET
https://example.kaiten.ru/api/latest/sprints

Returns a list of sprints for the company. The result of the request is displayed page by page (see details in the constraints of the parameters). Supports filtering by active status. Requires user to have access to company entities tree (companyPermissions.entitiesTree).

Headers
NameValue
AuthorizationBearer <token>
Content-Typeapplication/json
Query
NameTypeConstraintsDescription
activebooleanFilter by sprint active status. If true - returns only active sprints, if false - only inactive sprints. If omitted - returns all sprints.
limitintegerDefault: 100 Max: 100Maximum amount of sprints
offsetintegerNumber of records to skip
Responses

200
DescriptionResponse typeExample
SuccessArray
Open
Response Attributes
NameTypeDescription
id

integer

Sprint ID
uid

string

Sprint UID
board_id

integer

Board ID the sprint belongs to
title

string

Sprint title
goal

string

Sprint goal
active

boolean

Sprint active status
committed

integer

Number of committed cards
children_committed

integer

Number of committed child cards
velocity

number

Sprint velocity
velocity_details

object

Schema
Velocity by members
children_velocity

number

Velocity of child cards
children_velocity_details

object

Schema
Velocity details of child cards
creator_id

integer

User ID who created the sprint
updater_id

integer

User ID who last updated the sprint
start_date

string

Sprint start date
finish_date

string

Sprint planned finish date
actual_finish_date

string | null

Sprint actual finish date
created

string

Sprint creation timestamp
updated

string

Sprint last update timestamp
archived

boolean

Sprint archived flag
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
User does not have access to company entities treeResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io
  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/sprints' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!